-- Thanks to phanx for her excellent (as usual) tutorial on addons localization.
-- https://phanx.net/addons/tutorials/localize

local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" then
	-- The EU English game client also
	-- uses the US English locale code.
return end

if LOCALE == "itIT" then
	-- Italian translations by Carmine
	L["MIST"] 				= "NEBBIE"
	L["NW"] 				= "SCIAN"
	L["DOS"] 				= "ALDILA"
	L["HOA"]				= "SALE"
	L["PLAGUE"]				= "PIAGA"
	L["SD"]					= "PROSAN"
	L["SPIRE"]				= "GUGLIE"
	L["TOP"]				= "TEATRO"
	L["TSOW"]				= "STRADE"
	L["TSG"]				= "INGANNO"
	L["YARD"]               = "DISCAR"
	L["WORK"]               = "OFFICINA"
	L["UPPER"]              = "KARASUP"
	L["LOW"]                = "KARAINF"
	L["DOCKS"]              = "DARSENA"
	L["RAIL"]               = "TRENO"
	
	
	L["Mists of Tirna Scithe"]			= "Nebbie di Tirna Falcis"
	L["The Necrotic Wake"]				= "Scia necrotica"
	L["De Other Side"] 					= "Aldilà"
	L["Halls of Atonement"]				= "Sale della redenzione"	
	L["Plaguefall"]						= "Piagafunesta"
	L["Sanguine Depths"]				= "Profondità sanguigne"
	L["Spires of Ascension"]			= "Guglie dell'ascensione"
	L["Theater of Pain"]				= "Teatro del dolore"
	L["Tazavesh: Streets of Wonder"]	= "Strade delle meraviglie"
	L["Tazavesh: So'leah's Gambit"]		= "Inganno di So'leah"
	L["Operation Mechagon - Junkyard"]  = "Operazione Meccagon discarica"
	L["Operation Mechagon - Workshop"]  = "Operazione Meccagon officina"
	L["Return to Karazhan: Upper"]      = "Ritorno a Karazhan superiore"
	L["Return to Karazhan: Lower"]      = "Ritorno a Karazhan inferiore"
	L["Iron Docks"]      				= "Darsena di ferro"
	L["Grimrail Depot"]      			= "Treno frecciacupa"
	
	
	L["Score"] 							= "punti"
	L["Fortified"] 						= "Potenziamento"
	L["Tyrannical"] 					= "Tirannia"
	L["F"] 								= "F"
	L["T"] 								= "T"
	L["set to show keys"] 				= "configurato per mostrare le chiavi"
	L["set to show score"] 				= "configurato per mostrare il punteggio"
	L["Mythic+ score"] 					= "Punteggio Mitiche+"
return end


if LOCALE == "zhTW" then

	L["MIST"]  							= "迷霧"
	L["NW"] 							= "死靈"
	L["DOS"] 							= "彼界"
	L["HOA"] 							= "贖罪"
	L["PLAGUE"] 						= "瘟疫"
	L["SD"] 							= "血紅"
	L["SPIRE"] 							= "晉升"
	L["TOP"]  							= "苦痛"
	L["TSOW"] 	 						= "街道"
	L["TSG"] 							= "險招" 
	L["YARD"]                           = "廢料場"
	L["WORK"]                           = "工坊"
	L["UPPER"]                          = "卡拉上"
	L["LOW"]                            = "卡拉下"
	L["DOCKS"]                          = "碼頭"
	L["RAIL"]                           = "車站"

	L["Mists of Tirna Scithe"] 			= "特那希迷霧"
	L["The Necrotic Wake"]	 			= "死靈戰地"
	L["De Other Side"]   				= "彼界境地"
	L["Halls of Atonement"]	 			= "贖罪之殿"
	L["Plaguefall"]	 					= "瘟疫之臨"
	L["Sanguine Depths"] 				= "血紅深淵"
	L["Spires of Ascension"] 			= "晉升之巔"
	L["Theater of Pain"] 				= "苦痛劇場"
	L["Tazavesh: Streets of Wonder"] 	= "塔札維許：奇觀街道"
	L["Tazavesh: So'leah's Gambit"] 	= "塔札維許：索利亞的險招"
	L["Operation Mechagon - Junkyard"]  = "機械岡行動：廢料場"
	L["Operation Mechagon - Workshop"]  = "機械岡行動：工坊"
	L["Return to Karazhan: Upper"]      = "重返卡拉贊：上層"
	L["Return to Karazhan: Lower"]      = "重返卡拉贊：下層"
	L["Iron Docks"]      				= "鋼鐵碼頭"
	L["Grimrail Depot"]      			= "恐軌車站"
	
	L["Score"] 							= "分數"
	L["Fortified"] 						= "強悍"
	L["Tyrannical"] 					= "暴君"
	L["F"] 								= "悍"
	L["T"] 								= "暴"
	L["set to show keys"] 				= "設定為顯示鑰石"
	L["set to show score"] 				= "設定為顯示分數"
	L["Mythic+ score"] 					= "傳奇+分數"
return end